
name: update-dependencies
on:
  workflow_dispatch: # allows manual triggering
  schedule:
    - cron: '0 6 * * *'
jobs:
  update-dependencies:
    runs-on: nixos-latest
    steps:
      - run: nix-env -iA nixpkgs.nodejs
      - run: nix-env -iA nixpkgs.curl
      - run: nix-env -iA nixpkgs.jq

      - name: Enable experimental features
        run: |
          mkdir -p ~/.config/nix
          echo "experimental-features = nix-command flakes" >> ~/.config/nix/nix.conf

      - uses: actions/checkout@v4
      - run: nix flake update

      - name: Create Pull Request
        uses: https://github.com/maxking/forgejo-create-pr@main
        with:
          # required
          token: ${{ secrets.GITHUB_TOKEN }}
          # optional
          base: 'main'
          add-paths: '.'
          commit-message: 'feat: automated changes'
          pr-title: 'feat: new automated changes'
          pr-body: 'This PR contains automated changes'
          pr-condition-cmd: 'git status --porcelain'



#https://forrestjacobs.com/keeping-nixos-systems-up-to-date-with-github-actions/